##

This is the API

## addPet

### URL

`http://petstore.swagger.io/v2/pet`

### HTTP Method

`POST`

### Response Type

### Parameters

- Body: Pet Pet(Pet)

  Pet object that needs to be added to the store

## deletePet

### URL

`http://petstore.swagger.io/v2/pet/{petId}`

### HTTP Method

`DELETE`

### Response Type

### Parameters

- Path: petId Long

  Pet id to delete

- Header: api_key String

## findPetsByStatus

Multiple status values can be provided with comma separated strings

### URL

`http://petstore.swagger.io/v2/pet/findByStatus`

### HTTP Method

`GET`

### Response Type

List

### Parameters

- Query: status List(String)

  Status values that need to be considered for filter

## findPetsByTags

Multiple tags can be provided with comma separated strings. Use tag1, tag2, tag3 for testing.

### URL

`http://petstore.swagger.io/v2/pet/findByTags`

### HTTP Method

`GET`

### Response Type

List

### Parameters

- Query: tags List(String)

  Tags to filter by

## getPetById

Returns a single pet

### URL

`http://petstore.swagger.io/v2/pet/{petId}`

### HTTP Method

`GET`

### Response Type

Pet

### Parameters

- Path: petId Long

  ID of pet to return

## updatePet

### URL

`http://petstore.swagger.io/v2/pet`

### HTTP Method

`PUT`

### Response Type

### Parameters

- Body: Pet Pet(Pet)

  Pet object that needs to be added to the store

## updatePetWithForm

### URL

`http://petstore.swagger.io/v2/pet/{petId}`

### HTTP Method

`POST`

### Response Type

### Parameters

- Path: petId Long

  ID of pet that needs to be updated

- Form: name String(string)

  Updated name of the pet

- Form: status String(string)

  Updated status of the pet

## uploadFile

### URL

`http://petstore.swagger.io/v2/pet/{petId}/uploadImage`

### HTTP Method

`POST`

### Response Type

ApiResponse

### Parameters

- Path: petId Long

  ID of pet to update

- Form: additionalMetadata String(string)

  Additional data to pass to server

- Form: file File(file)

  file to upload